Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CatalogRemoveException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.beasys.commerce.foundation.exception.ApplicationException
                        |
                        +--com.beasys.commerce.ebusiness.catalog.CatalogException
                              |
                              +--com.beasys.commerce.ebusiness.catalog.CatalogRemoveException

All Implemented Interfaces:
  MessageCatalogException, Serializable

public class CatalogRemoveException
extends CatalogException

Indicates an error during catalog item remove.

See Also:
  Serialized Form

Field Summary
`static String` | `MESSAGE_KEY`

Fields inherited from class com.beasys.commerce.ebusiness.catalog.CatalogException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`CatalogRemoveException(CategoryKey key)` Constructs a `CatalogRemoveException`.
`CatalogRemoveException(CategoryKey key, Exception exception)` Constructs a `CatalogRemoveException`.

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_KEY

    public static final String MESSAGE_KEY

See Also:
  Constant Field Values

Constructor Detail

### CatalogRemoveException

    public CatalogRemoveException(CategoryKey key)

  Constructs a `CatalogRemoveException`.

### CatalogRemoveException

    public CatalogRemoveException(CategoryKey key,
                                  Exception exception)

  Constructs a `CatalogRemoveException`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved